#!/bin/bash
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
INSTALLDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )"/../.. && pwd )"

OS="debian"
if [ -d /etc/yum ] 
then
    OS="centos"
fi
echo System: $OS

#Cree les utilisateurs si besoin est
USEREXISTS=$(id -u raccess > /dev/null 2>&1; echo $?)
if [ $USEREXISTS -ne 0 ];
then
    echo "-- Creating users"
    useradd -m -s /bin/false raccess
    mkdir /home/raccess/.ssh
else
    echo "-- Cleaning user folder"
    rm -rf /home/raccess/.ssh/*
fi

#Affectation des droits a raccess
echo "-- Settings folder privileges and copying files"
chmod g-w /home/raccess
chmod 700 /home/raccess/.ssh
chown -R raccess:raccess /home/raccess/
mv -f "$DIR/raccess" /root/.ssh/
mv -f "$DIR/raccess.pub" /home/raccess/.ssh/
mv -f "$DIR/radmin" /etc/init.d/
chown raccess:raccess /home/raccess/.ssh/*
chmod 600 /root/.ssh/raccess
chmod 644 /home/raccess/.ssh/raccess.pub
chmod a+x /etc/init.d/radmin

#Ajout le cron de redemarrage à 2h du mat
cat > /etc/cron.d/radmin <<EOF
0 2 * * * root systemctl restart radmin
EOF